aboutsummaryrefslogtreecommitdiff
path: root/libgo
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2012-03-13 20:56:23 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2012-03-13 20:56:23 +0000
commit42cd8749119567c40d4fd93747e30ee72e6f836c (patch)
tree6d456198c1ca24295184b3554991eed1dab00d73 /libgo
parentbe23f7324135925d91c2b3e48d55446d22baac87 (diff)
downloadgcc-42cd8749119567c40d4fd93747e30ee72e6f836c.zip
gcc-42cd8749119567c40d4fd93747e30ee72e6f836c.tar.gz
gcc-42cd8749119567c40d4fd93747e30ee72e6f836c.tar.bz2
re PR go/52557 (Timex undefined on arm-linux-gnueabi)
PR go/52557 mksysinfo: Fix handling of timex for ARM GNU/Linux. From-SVN: r185354
Diffstat (limited to 'libgo')
-rwxr-xr-xlibgo/mksysinfo.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index e5f3066..6d33e6c 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -834,7 +834,15 @@ fi | sed -e 's/type _statfs64/type Statfs_t/' \
>> ${OUT}
# The timex struct.
-grep '^type _timex ' gen-sysinfo.go | \
+timex=`grep '^type _timex ' gen-sysinfo.go || true`
+if test "$timex" = ""; then
+ timex=`grep '^// type _timex ' gen-sysinfo.go || true`
+ if test "$timex" != ""; then
+ timex=`echo $timex | sed -e 's|// ||' -e 's/INVALID-bit-field/int32/g'`
+ fi
+fi
+if test "$timex" != ""; then
+ echo "$timex" | \
sed -e 's/_timex/Timex/' \
-e 's/modes/Modes/' \
-e 's/offset/Offset/' \
@@ -858,6 +866,7 @@ grep '^type _timex ' gen-sysinfo.go | \
-e 's/tai/Tai/' \
-e 's/_timeval/Timeval/' \
>> ${OUT}
+fi
# The rlimit struct.
grep '^type _rlimit ' gen-sysinfo.go | \